Show / Hide Table of Contents

# Enum XivChatType

The FFXIV chat types as seen in the LogKind ex table.

###### Namespace: Dalamud.Game.Chat

###### Assembly: Dalamud.dll

##### Syntax

    public enum XivChatType : ushort

### Fields

Name | Description
--- | ---
Alliance |
CrossLinkShell1 |
CrossLinkShell2 |
CrossLinkShell3 |
CrossLinkShell4 |
CrossLinkShell5 |
CrossLinkShell6 |
CrossLinkShell7 |
CrossLinkShell8 |
CrossParty |
CustomEmote |
Debug |
Echo |
FreeCompany |
GatheringSystemMessage |
Ls1 |
Ls2 |
Ls3 |
Ls4 |
Ls5 |
Ls6 |
Ls7 |
Ls8 |
None |
Notice |
NoviceNetwork |
Party |
PvPTeam |
RetainerSale |
Say |
Shout |
StandardEmote |
SystemError |
TellIncoming |
TellOutgoing |
Urgent |
Yell |

### Extension Methods

XivChatTypeExtensions.GetDetails()
EnumExtensions.GetAttribute<TAttribute>()